﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class ColorSetting : Form
    {
        int percentage;
        public double Rate { get; set; }
        public Color EditerModeBgCol { get; set; }
        public Color ViewerModeBgCol { get; set; }

        Bitmap bitmap1;
        Bitmap bitmap2;

        Graphics g1;
        Graphics g2;



        public ColorSetting(double rate, Color col1, Color col2)
        {
            InitializeComponent();
            percentage = (int)(rate * 100);
            EditerModeBgCol = col1;
            ViewerModeBgCol = col2;
        }

        private void changeDisplay()
        {
            label2.Text = percentage.ToString();
            trackBar1.Value = percentage;

            Brush brush1 = new SolidBrush(EditerModeBgCol);
            Brush brush2 = new SolidBrush(ViewerModeBgCol);

            g1.FillRectangle(brush1, 0, 0, bitmap1.Width, bitmap1.Height);
            g2.FillRectangle(brush2, 0, 0, bitmap2.Width, bitmap2.Height);

            this.pictureBox1.Image = bitmap1;
            this.pictureBox2.Image = bitmap2;
        }

        private void NonselectedColorBrightness_Load(object sender, EventArgs e)
        {

        }

        private void default_Click(object sender, EventArgs e)
        {
            percentage = 50;
            EditerModeBgCol = Color.Black;
            ViewerModeBgCol = Color.FromArgb(0, 0, 48);
            changeDisplay();
        }

        private void ok_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.OK;
            this.Rate = trackBar1.Value / 100f;
            Close();
        }

        private void trackBar1_Scroll(object sender, EventArgs e)
        {
        }

        private void NonselectedColorBrightness_Shown(object sender, EventArgs e)
        {
            bitmap1 = new Bitmap(pictureBox1.Width, pictureBox1.Height);
            bitmap2 = new Bitmap(pictureBox2.Width, pictureBox2.Height);

            g1 = Graphics.FromImage(bitmap1);
            g2 = Graphics.FromImage(bitmap2);

            changeDisplay();
        }

        private void trackBar1_Scroll_1(object sender, EventArgs e)
        {
            label2.Text = trackBar1.Value.ToString();
        }

        private void pictureBox1_Click(object sender, EventArgs e)
        {
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                EditerModeBgCol = colorDialog1.Color;
            }

            changeDisplay();
        }

        private void pictureBox2_Click(object sender, EventArgs e)
        {
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                ViewerModeBgCol = colorDialog1.Color;
            }

            changeDisplay();
        }

    }
}
